import type { TextInputProps } from '../TextInput/TextInput.styles';
export interface NumberInputProps extends Omit<TextInputProps, 'value'> {
    value?: number;
    defaultValue?: number;
    invalid?: boolean;
    decimalSeparator?: string;
    max?: number;
    min?: number;
    step?: number;
    stepHoldDelay?: number;
    stepHoldInterval?: number | ((step: number) => number);
    hideControls?: boolean;
    precision?: number;
    noClampOnBlur?: boolean;
    formatter?: Formatter;
    parser?: Parser;
}
declare type Formatter = (value: string | undefined) => string;
declare type Parser = (value: string | undefined) => string | undefined;
export declare const defaultFormatter: Formatter;
export declare const defaultParser: Parser;
export declare const CONTROL_SIZES: {
    xs: number;
    sm: number;
    md: number;
    lg: number;
    xl: number;
};
export {};
